#
# Tk: Menues, Systemdialoge
#

# Type-Filter fuer Systemdialoge...
set types {{"TCL" {.tcl}} {"Alle" {*}}}

# Rahmen-Widget fr Menuebalken erzeugen
frame .mbar -relief groove -bd 1
pack .mbar -side top -fill x

# zwei Menuepunkte (File, Blubber) erzeugen
menubutton .mbar.file -text "File" -menu .mbar.file.menu -underline 0
menubutton .mbar.blub -text "Blubber" -menu .mbar.blub.menu -underline 0
pack .mbar.file .mbar.blub -side left

# Menuepunkt File...
#
menu .mbar.file.menu
# Datei-Oeffnen-Dialog
.mbar.file.menu add command -label "Oeffnen" -command {tk_getOpenFile -filetypes $types}
# Datei-Speichern-Dialog
.mbar.file.menu add command -label "Speichern" -command {tk_getSaveFile -filetypes $types}
.mbar.file.menu add separator
.mbar.file.menu add command -label "Beenden" -command {exit}

# Menuepunkt Blubber...
#
menu .mbar.blub.menu
# Checkbutton
.mbar.blub.menu add checkbutton -label "blubber" -command {}
.mbar.blub.menu add separator
# Untermenue
menu .mbar.blub.menu.mehr
.mbar.blub.menu add cascade -label "noch mehr..." -menu .mbar.blub.menu.mehr
.mbar.blub.menu.mehr add command -label "ganz viel"
.mbar.blub.menu.mehr add command -label "ganz wenig"
.mbar.blub.menu add separator
# ein Icon
.mbar.blub.menu add command -bitmap question

