#
# Prozeduren, Filesystem, Listen, Fehlerbehandlung
#

# Prozedur (Eintraege eines Verzeichnis einlesen usw.)
proc dir_size {dir} {
	global l
	# falls im folgenden Block was schief geht...
	catch {
		foreach i [glob "$dir/*"] {
			if ([file isfile $i]) {
				# falls Datei, Groesse ermitteln und in Liste eintragen
				lappend l [list $i [file size $i]]
			} else {
				# falls Verzeichnis, weiter abtauchen	
				dir_size $i
			}
		}
	}
}

# hier gehts los...!
set l ""
# Prozedur starten
dir_size $argv

# erzeugte Liste sortieren
set l [lsort -integer -decreasing -index 1 $l]
set size 0

# Liste ausgeben
foreach i $l {
	foreach {f s} $i {
		puts "$s -> $f"
		set size [expr $size + $s]
	}
}
puts "\n========\n$size Byte"
