#!/usr/bin/wish
# 

#lappend auto_path [file join [pwd] BWidget-1.4.1]
package require BWidget 

option add *Dialog.msg.font {helvetica 12 bold}

# Konfig-Variablen...
set home_dir "~"
set balloon_sichtbar 1


set script_dir [file dirname [info script]]
set config_file "$env(HOME)/.tk_id3"


# interne Variablen...
set akt_dir $home_dir
set parent_dir $akt_dir
set file_name_label ""

# Icons
set icon_delete {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSv//////////////////////////////////////
/////////////////////yH5BAEAAP8ALAAAAAAUABQAAAiOAP8JHEiwoEGB
ABIe/AdPIcGEMRwSbBgRwECINSpOBBAjo0OONUJqZAgy5A2L/xLeCOnRnbuS
NU6iTAlgpUiMJiUirMkyRsecMx/yZAl04b+XNnO6M3oUZkujOImOLBj1RtKp
O3/GVNlTYlUALod6RAmAqEyBDZPWIMvz7MC0W2eq1Im2Jt2EQTfmZbowIAA7}

set icon_end {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSj4+PjIyMiYmJhoaGg4ODv/78KCgpICAgP8AAAD/
AP//AAAA//8A/wD//////yH5BAEAAP4ALAAAAAAUABQAAAicAP0JHEiwoMGD
CBOeO1dwYUJ/59y5Yygw4kSEEQEAuJhxI8WBCzMS8ijSI0iJEgEUGjnRnUqW
FF1q1Gho5UwANWH6c/mPkE9DOQEoIgTUZksAg4AqDapIqVGXRJcaOqRIqFKq
G10eSsT10NSqihR5xXr05iGsM89W5YhS69qMZD+GdPk241uDHdlqvHjQolyJ
H/sGhjj4oeHDCAMCADs=}

set icon_save {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSj4+PjIyMiYmJhoaGg4ODv/78KCgpICAgP8AAAD/
AP//AAAA//8A/wD//////yH5BAEAAP4ALAAAAAAUABQAAAi2ANvBg9euoMGD
BwcKHAigocOHDwdKZKcOocV26dhJBEDxIsKMABh29GgQpMiKJAueYxcSHkeU
Kc2xPJmyoMyWL2u2W4mTHUV1QNWhQ3euqLmVM136XMq0qc+e7N5JnSrVnVV3
T0W++/ePnNev5uK9c2dS6VZ37+L9K2euHDmxZJNyfEcOrdq25t6OLTu3btq1
bfXG7UnX7j+8gvnCozsUnbnHeeGaROcSomWI8PxRlsi5M+d2AQEAOw==}

set icon_folderout {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1Pjisd/UjtHJa8O4SL2qJcWqAK+SAJN6AGJiAEpKADIyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSj4+Pv//////////////////////////////////
/////////////////////yH5BAEAAP8ALAAAAAAUABQAAAinAP8JHEiwoMGD
CAueW9euYcN15xL+W9gOgEWL7SBGPHiuYgMFIBUAcEjS4bmOABQ4WOkgwsWX
F9uhVMlyZcibLmVWVCBBQsgGQIMCzYlygkWhSIeO7BgPgCEAE6JGTUq0KaGn
MCcgzVnxqqGvYKFuHVkx0ddEaNGKFVoVgFmYa4MSbdc0EVSpWsfqhGoxgt+/
gP0urQi3cMyJJRMn3niysePHjSVKDggAOw==}

set icon_help {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSj4+PjIyMiYmJhoaGg4ODv/78KCgpICAgP8AAAD/
AP//AAAA//8A/wD//////yH5BAEAAP4ALAAAAAAUABQAAAjGAP2dc0ewoMGD
7s4JdAegocOHEAEkZBjuQYOLGDNefBBOIkOLC0KKHCnygUcADRb8+5fN2zd3
8QZ4y0ZzQYOTKVlyi5mNIb1uNW8SRKkyWzcA8ow2nJnNJs6i2eS5UwqAqdOh
OWlqHQAgHtCmQhlm1ZptnruvYJ+SzdaOqdarYheQ7Rbv21q4RMkyBHA3bF6t
37r2PWlx7V2bJodWlBtSI0aOEv3tFdnAZMSGCf1JRlm5YTyEBBVq/ujZnebT
qFHvlSg6deqAADs=}

set icon_newcol {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSj4+PjIyMiYmJhoaGg4ODv/78KCgpICAgP8AAAD/
AP//AAAA//8A/wD//////yH5BAEAAP4ALAAAAAAUABQAAAjCAP0J9BdhoMGD
Bt3Bi9AggruHECM+PCdwYYN9DQFo3MgRADyBESB029cNQoR/hAgdYvSv5T+P
BEV2+9etZIRDhxKxdAlzn8+WPn02yLmzJcyQNUnaTMS06MuPMUfaZESVKrur
7GD6s4gxAsuUK10+rQgAwj4I4xipJCpWK7yyZ/+pxamzLdS3ZiHIzdnULlmG
EdhVrYo1610A/07KRanSqVvELuey5XlYrOS6lMla5ovZ6OGOoDlCPSextESK
CFOnDggAOw==
}

set icon_home {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSv//////////////////////////////////////
/////////////////////yH5BAEAAP8ALAAAAAAUABQAAAjJAP8JHEiwoMF/
8BLCG+jO3UGGAHLkAPBvHTwAAOCte+gOQI0bGTFOmIBRo8GONSYCqPAgwsgK
JTdCxMjSpYQJNyXAzLix48qWOXEKvbmzIQAKDyhMUMp0qVOlAIzSrEC1qtWd
Uf8ZNce1q1euUR0K7FgOnVl05TCqTSt2LIBxat8CELdIkdy2WuVSlVsX0dys
EOFSoCBXkaVJf/F2hItTblxxgN0yjvB2nGXLkBUDILcSJrnPn8VlJugzrmm1
eLU2XM2a9cPXBgMCADs=}

set icon_inform {
R0lGODlhFAAUAOcAAAAAAIAAAACAAICAAAAAgIAAgACAgMDAwMDcwKbK8P/w
1P/isf/Ujv/Ga/+4SP+qJf+qANySALl6AJZiAHNKAFAyAP/j1P/Hsf+rjv+P
a/9zSP9XJf9VANxJALk9AJYxAHMlAFAZAP/U1P+xsf+Ojv9ra/9ISP8lJf4A
ANwAALkAAJYAAHMAAFAAAP/U4/+xx/+Oq/9rj/9Ic/8lV/8AVdwASbkAPZYA
MXMAJVAAGf/U8P+x4v+O1P9rxv9IuP8lqv8AqtwAkrkAepYAYnMASlAAMv/U
//+x//+O//9r//9I//8l//4A/twA3LkAuZYAlnMAc1AAUPDU/+Kx/9SO/8Zr
/7hI/6ol/6oA/5IA3HoAuWIAlkoAczIAUOPU/8ex/6uO/49r/3NI/1cl/1UA
/0kA3D0AuTEAliUAcxkAUNTU/7Gx/46O/2tr/0hI/yUl/wAA/gAA3AAAuQAA
lgAAcwAAUNTj/7HH/46r/2uP/0hz/yVX/wBV/wBJ3AA9uQAxlgAlcwAZUNTw
/7Hi/47U/2vG/0i4/yWq/wCq/wCS3AB6uQBilgBKcwAyUNT//7H//47//2v/
/0j//yX//wD+/gDc3AC5uQCWlgBzcwBQUNT/8LH/4o7/1Gv/xkj/uCX/qgD/
qgDckgC5egCWYgBzSgBQMtT/47H/x47/q2v/j0j/cyX/VwD/VQDcSQC5PQCW
MQBzJQBQGdT/1LH/sY7/jmv/a0j/SCX/JQD+AADcAAC5AACWAABzAABQAOP/
1Mf/sav/jo//a3P/SFf/JVX/AEncAD25ADGWACVzABlQAPD/1OL/sdT/jsb/
a7j/SKr/Jar/AJLcAHq5AGKWAEpzADJQAP//1P//sf//jv//a///SP//Jf7+
ANzcALm5AJaWAHNzAFBQAPLy8ubm5tra2s7OzsLCwra2tqqqqp6enpKSkoaG
hnp6em5ubmJiYlZWVkpKSj4+PjIyMiYmJhoaGg4ODv/78KCgpP//////////
/////////////////////yH5BAEAAP8ALAAAAAAUABQAAAjbAP8JFHjuHLp1
7dqtQ1dwoEOC6+DJAyBvojx46849JPgOgLuF5swddAfgnUaH5zqqK1dOnEtx
LNWVPPkvJYB1LcWNm3jPZbl1M2sCXfnyHICSL8vJzHgO3rucLsfBo3fupThz
7uAZlLfOqlerP+UdBIDO67p48dR5RXeznTxzXssdZefVnLyEb+POrXsXaFmw
e62yXchVLwC6SdeJbeoOKszALrFqPTcUqtzDSZdqtIlT3Dl29OjFq/ozKEcA
6uDWlWnyoc2P6EKONO06okWLGGluLHgw4cKGDgMCADs=}

set icon_edit {
R0lGODlhFAAUAKUAAFZWVj4+Pra2tgAAAP/U1P+xsaqqqmJiYv9ra/+qAJYA
AL6Y////////1P7+AIqBR+ngsK+hPpJ1xBEREf+4SP+qJYV9Pcm8WKiUIQkA
ADc2LmVeIENAH5iYmBgDA2NjZNTU1OHh4c7Ozn9+YYuHYoF+WlAyAP/isf/w
1BkEBE9OT2RYHX5uEY54EYaGhnNKAP/UjgUAAF9UHmJUEY95EW5ubv/Ga3Jb
mTU0Hi4tEUA9EVlHd////////////////yH5BAEKAD8ALAAAAAAUABQAAAax
wJ9wSCwaj0hAQIBEBgaDZbP4JBSihoN2y9U+B4UCYnCAms/QZ+JZUJAHi7ic
QVc3HN9AefGARBYSDBN2DhQVUQJ7FhcYEoGEhlFkBxkLGhscjpCHAR2THh8g
ISIdeYWcpJ8fIyQlASYnKFGcEx2eWikqKywtLi8oJzBppLaTMRIyMzQ1L8E2
klDFWgM3ODk6ZS8vJp223pMDO+I7ejUu3d7SZWjs7AdZXfHxBlP19kdBADs=
}


set icon_gnu {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}

set genre {
 Blues 			{Classic Rock} 		Country		 	Dance
 Disco			Funk			Grunge			Hip-Hop
 Jazz			Metal			{New Age}		Oldies
 Other			Pop			R&B			Rap
 Reggae			Rock			Techno			Industrial
 Alternative		Ska			{Death Metal}		Pranks
 Soundtrack		Euro-Techno		Ambient			Trip-Hop
 Vocal			Jazz+Funk		Fusion			Trance
 Classical		Instrumental		Acid			House
 Game			{Sound Clip}		Gospel			Noise
 AlternRock		Bass			Soul			Punk
 Space			Meditative		{Instrumental Pop}	{Instrumental Rock}
 Ethnic			Gothic			Darkwave		Techno-Industrial
 Electronic		Pop-Folk		Eurodance		Dream
 {Southern Rock}	Comedy			Cult			Gangsta
 {Top 40}		{Christian Rap}		Pop/Funk		Jungle
 {Native American}	Cabaret			{New Wave}		Psychadelic
 Rave			Showtunes		Trailer			Lo-Fi
 Tribal			{Acid Punk}		{Acid Jazz}		Polka
 Retro			Musical			{Rock & Roll}		{Hard Rock}
 Folk			Folk-Rock		{National Folk}		Swing
 {Fast Fusion}		Bebob			Latin			Revival
 Celtic			Bluegrass		Avantgarde		{Gothic Rock}
 {Progressive Rock}	{Psychedelic Rock}	{Symphonic Rock}	{Slow Rock}
 {Big Band}		Chorus			{Easy Listening}	Acoustic
 Humour			Speech			Chanson			Opera
 {Chamber Music}	Sonata			Symphony		{Booty Brass}
 Primus			{Porn Groove}		Satire			{Slow Jam}
 Club			Tango			Samba			Folklore
 Ballad			{Power Ballad}		{Rhytmic Soul}		Freestyle
 Duet			{Punk Rock}		{Drum Solo}		{A Capela}
 Euro-House		{Dance Hall}
 }

# exit-Prozedure umlenken...
rename exit mein_exit 
proc exit {} {
#	tk_messageBox 	-icon info\
#			-message "Nicht vergessen, dass man den iPod nicht\
#				 einfach aus dem USB-Port entfernt werden darf!\
#				 Das Geraet muss aus dem Verzeichnisbaum ausgehangen\
#				 werden (umount)."\
#			-title "Info..."\
#			-type ok
	mein_exit
}


# Hilfeblasen erzeugen...
proc balloon {w help} {
	bind $w <Enter> "after 500 [list balloon:show %W [list $help]]"
	bind $w <Leave> "destroy %W.balloon"
}

proc balloon:show {w arg} {
	global balloon_sichtbar
	if {$balloon_sichtbar} {
	if {[eval winfo containing  [winfo pointerxy .]]!=$w} {return}
	set top $w.balloon
	catch {destroy $top}
	toplevel $top -bd 1 -bg black
	wm overrideredirect $top 1
	pack [message $top.txt 	-aspect 10000 -bg lightyellow \
				-font fixed -text $arg]
	set wmx [winfo rootx $w]
	set wmy [expr [winfo rooty $w]+[winfo height $w]]
	wm geometry $top [winfo reqwidth $top.txt]x[winfo reqheight $top.txt]+$wmx+$wmy
	raise $top
	}
}

# Menueleiste...
#
set mbar [frame .mbar -borderwidth 1 -relief raised]
pack $mbar -fill x

# Menue Datei
set m_file [menubutton $mbar.file -text "Datei" -underline 0 -menu $mbar.file.m]
pack $m_file -side left
menu $m_file.m
#$m_file.m add command -label "ID3-Tag aendern/sichern" -underline 0 -command {id3_save}\
#		      -image [image create photo -data $icon_save] -compound left
#$m_file.m add command -label "ID3-Tag entfernen" -underline 0 -command {id3_delete}\
#		      -image [image create photo -data $icon_delete] -compound left
#$m_file.m add separator		      
$m_file.m add command -label "Beenden" -underline 0 -command exit\
		      -image [image create photo -data $icon_end] -compound left
		      
# Menue Konfiguration		      
set m_config [menubutton $mbar.config -text "Konfiguration" -underline 0 -menu $mbar.config.m]
pack $m_config -side left
menu $m_config.m
$m_config.m add check -label "Sprechblasenhilfe" -variable balloon_sichtbar -command config_save

# Menue Hilfe
set m_hilfe [menubutton $mbar.hilfe -text "Hilfe" -underline 0 -menu $mbar.hilfe.m]
pack $m_hilfe -side right
menu $m_hilfe.m
#$m_hilfe.m add command -label "Hilfe" -underline 0 -command prog_hilfe\
#		      -image [image create photo -data $icon_help] -compound left
$m_hilfe.m add command -label "Info" -underline 0 -command prog_info\
		      -image [image create photo -data $icon_inform] -compound left
set help [label .help -relief solid -borderwidth 0 -anchor w]
pack $help -side bottom -fill x



##### Haupt-Fenster ######
#
set frame [frame .nb -padx 5 -pady 5]
pack $frame -expand true -fill both

# verschiebbare Fensterzweiteilung
set panedWindow [PanedWindow $frame.pw -side top ]
pack $frame.pw -expand true -fill both

# linke Seite -> Filesystem
set pane  [$panedWindow add  -weight 1]
set quelle_button_frame [frame $pane.quelle_button_frame]
set b_homedir [button $quelle_button_frame.b_homedir -image [image create photo -data $icon_home]\
 -command {list_dir $home_dir 1}]
pack $b_homedir -side left
set b_parentdir [button $quelle_button_frame.b_parentdir -image [image create photo -data $icon_folderout]\
							 -command {list_dir $parent_dir 1}]
pack $b_parentdir -side left
pack $quelle_button_frame -fill x

set aktdir_label_frame [frame $pane.aktdir_label_frame]
set aktdir_label [label $aktdir_label_frame.aktdir_label_frame -textvar akt_dir]
pack $aktdir_label -side left
pack $aktdir_label_frame -fill x

set sw_left    [ScrolledWindow $pane.sw_left]
set quelle [listbox   $sw_left.quelle -width 40 -height 15]
$sw_left setwidget $quelle
pack $sw_left -fill both -expand yes

# ... Bindings ...
bind $quelle      <Double-Button-1> {list_dir [$quelle get active] 0}
bind $quelle      <KeyPress-Return> {list_dir [selection get] 0}
bind $quelle      <<ListboxSelect>> {file_info [selection get]}

# ... Hilfeblase ...
balloon $b_homedir "Heimatverzeichnis"
balloon $b_parentdir "Ein Verzeichnis hoeher..."


# rechte Seite -> id3-Tag
set pane  [$panedWindow add -weight 9]

# Ein-/Ausgabe-Felder
set id3_info_frame [frame $pane.id3_info_frame]

set id3_datei_label [label $id3_info_frame.id3_datei_label -text "Datei:"]
set id3_datei [label $id3_info_frame.id3_datei -textvar file_name_label]
grid $id3_datei_label -row 0 -column 0 -sticky e
grid $id3_datei -row 0 -column 1 -sticky w

set id3_artist_label [label $id3_info_frame.id3_artist_label -text "Interpret:"]
set id3_artist_entry [entry $id3_info_frame.id3_artist_entry -bg white -textvar id3_artist]
set c_artist_all [checkbutton $id3_info_frame.c_artist_all -variable c_artist_all_v -command {c_save_all}]
grid $id3_artist_label -row 1 -column 0 -sticky e
grid $id3_artist_entry -row 1 -column 1 -sticky ew
grid $c_artist_all -row 1 -column 2 -sticky e

set id3_album_label [label $id3_info_frame.id3_album_label -text "Album:"]
set id3_album_entry [entry $id3_info_frame.id3_album_entry -bg white -textvar id3_album]
set c_album_all [checkbutton $id3_info_frame.c_album_all -variable c_album_all_v -command {c_save_all}]
grid $id3_album_label -row 2 -column 0 -sticky e
grid $id3_album_entry -row 2 -column 1 -sticky ew
grid $c_album_all -row 2 -column 2 -sticky e

set id3_titel_label [label $id3_info_frame.id3_titel_label -text "Titel:"]
set id3_titel_entry [entry $id3_info_frame.id3_titel_entry -bg white -textvar id3_title]
set b_id3_titel_fname [button $id3_info_frame.b_id3_titel_fname -image [image create photo -data $icon_edit]\
					-command {set id3_title $file_name_label}]
grid $id3_titel_label -row 3 -column 0 -sticky e
grid $id3_titel_entry -row 3 -column 1 -sticky ew
grid $b_id3_titel_fname -row 3 -column 2 -sticky ew

set id3_genre_label [label $id3_info_frame.id3_genre_label -text "Genre:"]
set id3_genre_cb [ComboBox $id3_info_frame.id3_genre_cb -values $genre]
set c_genre_all [checkbutton $id3_info_frame.c_genre_all -variable c_genre_all_v -command {c_save_all}]
grid $id3_genre_label -row 4 -column 0 -sticky e
grid $id3_genre_cb -row 4 -column 1 -sticky w
grid $c_genre_all -row 4 -column 2 -sticky e

set id3_jahr_label [label $id3_info_frame.id3_jahr_label -text "Jahr:"]
set id3_jahr_entry [entry $id3_info_frame.id3_jahr_entry -bg white -textvar id3_year]
set c_jahr_all [checkbutton $id3_info_frame.c_jahr_all -variable c_jahr_all_v -command {c_save_all}]
grid $id3_jahr_label -row 5 -column 0 -sticky e
grid $id3_jahr_entry -row 5 -column 1 -sticky w
grid $c_jahr_all -row 5 -column 2 -sticky e

set id3_track_label [label $id3_info_frame.id3_track_label -text "Track:"]
set id3_track_entry [entry $id3_info_frame.id3_track_entry -bg white -textvar id3_track]
grid $id3_track_label -row 6 -column 0 -sticky e
grid $id3_track_entry -row 6 -column 1 -sticky w

set id3_notiz_label [label $id3_info_frame.id3_notiz_label -text "Kommentar:"]
set id3_notiz_entry [entry $id3_info_frame.id3_notiz_entry -bg white -textvar id3_comment]
set c_notiz_all [checkbutton $id3_info_frame.c_notiz_all -variable c_notiz_all_v -command {c_save_all}]
grid $id3_notiz_label -row 7 -column 0 -sticky e
grid $id3_notiz_entry -row 7 -column 1 -sticky ew
grid $c_notiz_all -row 7 -column 2 -sticky e

grid columnconfigure $id3_info_frame 1 -weight 1
grid rowconfigure $id3_info_frame 8 -weight 1
pack $id3_info_frame -fill both -side top


bind $id3_artist_entry <Any-Key> {sichern_enable %A}
bind $id3_album_entry <Any-Key> {sichern_enable %A}
bind $id3_titel_entry <Any-Key> {sichern_enable %A}
bind $id3_genre_cb <FocusIn> {sichern_enable %A}
bind $id3_jahr_entry <Any-Key> {sichern_enable %A}
bind $id3_track_entry <Any-Key> {sichern_enable %A}
bind $id3_notiz_entry <Any-Key> {sichern_enable %A}


# ... Hilfeblase ...
balloon $c_artist_all "Diesen Interpret\nzum Eintragen in allen\nDateien des Verzeichnisses\nmarkieren"
balloon $c_album_all "Dieses Album\nzum Eintragen in allen\nDateien des Verzeichnisses\nmarkieren"
balloon $c_genre_all "Diese Genre\nzum Eintragen in allen\nDateien des Verzeichnisses\nmarkieren"
balloon $c_jahr_all "Diese Jahr\nzum Eintragen in allen\nDateien des Verzeichnisses\nmarkieren"
balloon $c_notiz_all "Diesen Kommentar\nzum Eintragen in allen\nDateien des Verzeichnisses\nmarkieren"
balloon $b_id3_titel_fname "Titel aus Dateiname\nuebernehmen"


# Button...
set id3_button_frame [frame $pane.ipod_button_frame]
set b_id3_aendern [button $id3_button_frame.b_id3_aendern -image [image create photo -data $icon_save]\
							 -text Sichern\
							 -compound left\
							 -command {id3_save "$akt_dir/$file_name_label"}]
pack $b_id3_aendern -side left
set b_id3_save_all [button $id3_button_frame.b_id3_save_all -image [image create photo -data $icon_newcol]\
							 -text "Alle aendern"\
							 -compound left\
							 -command {id3_save_all}]
pack $b_id3_save_all -side left
set b_id3_loeschen [button $id3_button_frame.b_id3_loeschen -image [image create photo -data $icon_delete]\
							 -text Loeschen\
							 -compound left\
							 -command {id3_delete "$akt_dir/$file_name_label"}]
pack $b_id3_loeschen -side left
set b_ende [button $id3_button_frame.b_ende -image [image create photo -data $icon_end]\
							 -text Ende\
							 -compound left\
							 -command {exit}]
pack $b_ende -side right
pack $id3_button_frame -fill x -side bottom


# ... Hilfeblasen ...
balloon $b_id3_aendern "ID3-Tag aendern/speichern"
balloon $b_id3_loeschen "ID3-Tag entfernen"
balloon $b_id3_save_all "markierte ID3-Daten\nin allen MP3-Dateien\ndes Verzeichnisses\neintragen"
balloon $b_ende "Programm beenden"

 
wm title .  "tk_id3"
wm geometry . 800x600
wm protocol . WM_DELETE_WINDOW {exit}


proc sichern_enable {key} {
	global b_id3_aendern
	# theoretisch muessten ein paar Tasten ausgeklammert werden,
	# habe aber keinen Bock das auszuprogrammieren...
	recursivestate $b_id3_aendern normal
}

# *** ########## list_dir ###########
proc list_dir {dir full_dirname} {
	global quelle b_parentdir dirsize l_dir_liste
	global akt_dir parent_dir
	# Sonderfall ".." 
	if {$dir == ".."} {
		# ... dann ist naechste dir parent_dir
		set dir $parent_dir
	} else {
		# ... ansonsten dirname zusammensetzen, wenn nicht absoluter
		# Dirname uebergeben wurde
		if {!$full_dirname} {
			set dir "$akt_dir/$dir"
		}
	}
	if {[file isdirectory $dir]} { 
		set akt_dir $dir
		set parent_dir [file dirname $dir]
        	# Listbox leeren...
		$quelle delete 0 end 
		# ... Doppelpunkt, wenn nicht root-Verzeichnis...
		if {$akt_dir != "/"} {
			$quelle insert end ".."
		}
		# ... alle Verzeichnisse...
		foreach i [lsort [glob -directory $dir -types {d} -nocomplain *]] {
			$quelle insert end [file tail $i]
		}
		# ... und dann die Dateien (nur .mp3)...
		foreach i [lsort [glob -directory $dir -types {f} -nocomplain *.mp3]] {
			$quelle insert end [file tail $i]
			# wenn kein id3-Tag vorhanden, farbl. markieren
			if {[id3_read $i] == ""} {
				$quelle itemconfigure [expr [$quelle index end] - 1] \
					-foreground red -selectforeground red
			}
		}
	}
}

# *** clear_id3 ***
proc clear_id3_tag {} {
	global id3_genre_cb
	global id3_title id3_artist id3_album id3_year id3_comment id3_track id3_genre id3_hastag
	set id3_hastag 0
	set id3_title ""
	set id3_artist ""
	set id3_album ""
	set id3_year ""
	set id3_comment ""
	set id3_track 0
	set id3_genre 0
	$id3_genre_cb setvalue @$id3_genre
}

# *** file_info ***
proc file_info {file_name} {
	global id3_title id3_artist id3_album id3_year id3_comment id3_track id3_genre id3_hastag
	global akt_dir parent_dir file_name_label id3_genre_cb id3_info_frame b_id3_aendern b_id3_loeschen
	global id3_genre 
	recursivestate $b_id3_aendern disable
	set fnam "$akt_dir/$file_name"
	if {[file isfile $fnam]} {
		set file_name_label $file_name
		recursivestate $id3_info_frame normal
		#recursivestate $b_id3_aendern normal
		set tag [id3_read $fnam]
		binary scan $tag A3A30A30A30A4A28ccc id id3_title id3_artist id3_album  id3_year id3_comment zero id3_track id3_genre
		$id3_genre_cb setvalue @$id3_genre
		if {$tag != ""} {
			recursivestate $b_id3_loeschen normal
		} else {
			recursivestate $b_id3_loeschen disabled	
			clear_id3_tag	
		}
	} else {
		clear_id3_tag
		set file_name_label ""
		recursivestate $id3_info_frame disabled
		# recursivestate $b_id3_aendern disabled
		recursivestate $b_id3_loeschen disabled
		clear_c_save_all
	}
}

# *** id3_read ***
proc id3_read {fnam} {
	global id3_genre id3_hastag
	set fd [open $fnam r]
	fconfigure $fd -encoding binary -translation binary
	if {[catch {seek $fd -128 end}]} {
		return
	}
	set tag [read $fd]
	close $fd
	binary scan $tag A3 id
	if {[string equal $id TAG]} {
		#set id3_hastag 1
		return $tag
	} else {
		return ""
	}
}

# *** id3_save ***
proc id3_save {fnam} {
	global id3_title id3_artist id3_album id3_year id3_comment id3_track id3_genre id3_hastag id3_genre_cb
	global akt_dir quelle b_id3_aendern file_name_label
	set c [$quelle curselection]
	# nichts in listbox selektiert...:-(
	if {$c == ""} {
		set c 1
		while {[$quelle get $c] != $file_name_label} {
			incr c
		}
	}
	set id3_genre [$id3_genre_cb getvalue]
	set tag [binary format a3a30a30a30a4a28ccc TAG $id3_title $id3_artist $id3_album $id3_year $id3_comment 0 [string trim $id3_track] $id3_genre]
	set fd [open $fnam a]
	fconfigure $fd -encoding binary -translation binary
	if {[id3_read $fnam] != ""} {
		seek $fd -128 end
	}
	puts -nonewline $fd $tag
	close $fd
	list_dir $akt_dir 1
	$quelle selection set $c
	file_info [$quelle get $c]
}

# *** id3_delete ***
proc id3_delete {fnam} {
	global id3_hastag akt_dir quelle
	if {[id3_read $fnam] != ""} {
		set q [tk_dialog .d	{Frage...}\
				{ID3-Tag wirklich loeschen?}\
				question 1 {Ja} {Nein}]
		if {$q == 0} {
			set c [$quelle curselection]
			set fd [open $fnam r]
			fconfigure $fd -encoding binary -translation binary
			set z [read $fd [expr [file size $fnam] - 128]]
			seek $fd 0
			close $fd
			set fd [open $fnam w+]
			fconfigure $fd -encoding binary -translation binary
			puts -nonewline $fd $z
			close $fd
			list_dir $akt_dir 1
			$quelle selection set $c
			file_info [$quelle get $c]
		}
	}
}


proc id3_save_all {} {
	global c_artist_all_v c_album_all_v c_jahr_all_v c_notiz_all_v c_genre_all_v
	global id3_artist id3_album id3_title id3_track id3_year id3_comment id3_genre id3_genre_cb
	global akt_dir quelle
	for {set i 1} {$i < [$quelle index end]} {incr i} {
		set z_artist ""
		set z_album ""
		set z_year ""
		set z_comment ""
		set z_genre 0
		set z_title ""
		set z_track 0
		set d [$quelle get $i]
		set tag [id3_read "$akt_dir/$d"]
		binary scan $tag A3A30A30A30A4A28ccc id z_title z_artist z_album  z_year z_comment zero z_track z_genre
		if {!$c_artist_all_v} {set id3_artist $z_artist}
		if {!$c_album_all_v}  {set id3_album $z_album}
		if {!$c_jahr_all_v}   {set id3_year $z_year}
		if {!$c_notiz_all_v}  {set id3_comment $z_comment}
		if {!$c_genre_all_v}  {$id3_genre_cb setvalue @$z_genre}
		set id3_title $z_title
		set id3_track $z_track
		id3_save "$akt_dir/$d"
	}

}


proc c_save_all {} {
	global c_artist_all_v c_album_all_v c_jahr_all_v c_notiz_all_v c_genre_all_v
	global b_id3_save_all
	if {$c_artist_all_v || $c_album_all_v || $c_jahr_all_v || $c_notiz_all_v || $c_genre_all_v} {
		recursivestate $b_id3_save_all normal
	} else {
		recursivestate $b_id3_save_all disable	
	}
}

proc clear_c_save_all {} {
	global c_artist_all_v c_album_all_v c_jahr_all_v c_notiz_all_v c_genre_all_v
	set c_artist_all_v 0
	set c_album_all_v 0
	set c_jahr_all_v 0
	set c_notiz_all_v 0
	set c_genre_all_v 0
	c_save_all
}


# setzt -state $newstate aller Widgets unter $w 
proc recursivestate {w newstate} {
     variable widgetstates
     set clist [$w configure]
     set idx [lsearch $clist [list -state *]]
     if { $idx > -1 } {
	 set slist [lindex $clist $idx]
	 set currentstate [lindex $slist 4]
	 set widgetstates($w) $currentstate
	 $w configure -state $newstate
     }
     foreach c [winfo children $w] {
	 recursivestate $c $newstate
     }
 }


# *** ########## config_save ###########
proc config_save {} {
	global config_file balloon_sichtbar
	set fid [open $config_file w]
	puts $fid "set balloon_sichtbar $balloon_sichtbar"	
	close $fid
}

# *** ########## config_read ###########
proc config_read {} {
	global config_file home_dir ipod_dir ipod_maxfill balloon_sichtbar
	if {[file exists $config_file]} {
		source $config_file
	} else {
		tk_messageBox 	-icon info\
			-message "Es ist keine Konfigurationsdatei vorhanden! Es werden \
			          die Defaultwerte geladen und dann als Konfiguration \
			          abgespeichert."\
			-title "Konfiguration..."\
			-type ok
		config_save	
	}
}

# *** ########## prog_info ###########
proc prog_info {} {
	global icon_gnu
	set notice [toplevel .notice]
	set finfo [frame $notice.info]
	pack $finfo -expand yes -fill both -pady 2 -pady 2
	set icon [label $finfo.icon -image [image create photo -data $icon_gnu]]
	pack $icon -side left -padx 8 -pady 8
	set titel [label $finfo.titel -text "tk_id3"]
	pack $titel -padx 8 -pady 8
	set version [label $finfo.version -text "Version 0.1"]
	pack $version -padx 8 -pady 8
	set autor [label $finfo.autor -text "Uwe Berger; 2006"]
	pack $autor -padx 8 -pady 8
	set ok [button $finfo.ok -text "OK" -command {destroy .notice}]
	pack $ok -pady 4
	wm title .notice "Info..."
	# ... Groesse festschreiben...
	update
	wm minsize .notice [winfo width .notice] [winfo height .notice]
	wm maxsize .notice [winfo width .notice] [winfo height .notice]
	center_window . .notice
}

# *** ########## center_window ###########
proc center_window {tw w} {
	set width [winfo width $w]
	set height [winfo height $w]
	set x [expr {[expr {([winfo width  $tw] - $width) / 2}] + [winfo x $tw]}]
	set y [expr {[expr {([winfo height $tw] - $height) / 2}] + [winfo y $tw]}]
	wm geometry $w ${width}x${height}+${x}+${y}
}

# *** ########## prog_hilfe ###########
proc prog_hilfe {} {

		tk_messageBox 	-icon info\
			-message "Hier kommt dann auch mal eine Hilfe...?"\
			-title "Hilfe..."\
			-type ok

}

update

config_read
recursivestate $id3_info_frame disabled
recursivestate $b_id3_aendern disabled
recursivestate $b_id3_loeschen disabled
recursivestate $b_id3_save_all disabled
list_dir $akt_dir 1



